﻿using System.Collections.Generic;

namespace NMag.Core.FlowDiagram
{
    public enum FlowConnectionType
    {
        Release = 0,
        Bypass = 1,
        Spill = 2
    }

    public class FlowConnection
    {
        public FlowConnection(int moduleNumber, List<System.Windows.Point> points, FlowConnectionType routingType)
        {
            ModuleNumber = moduleNumber;
            Path = points;
            FlowConnectionType = routingType;
        }

        public int ModuleNumber { get; private set; }
        public List<System.Windows.Point> Path { get; set; }
        public FlowConnectionType FlowConnectionType { get; private set; }
    }
}
