﻿using System.Collections.Generic;
using System.Linq;

namespace NMag.Core.Optimization
{
    public class Chromosome
    {
        public Chromosome(List<Point> basePairs)
        {
            BasePairs = basePairs;
        }

        public List<Point> BasePairs { get; set; }

        public Chromosome Clone()
        {
            return new Chromosome(BasePairs.Select(c => c.Clone()).ToList());
        }
    }
}
