﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace NMag.UI.CustomControls
{
    public class CommandParameterConverter : IMultiValueConverter
    {
        public object Convert(object[] values)
        {
            return values.Clone();
        }

        public object Convert(object[] values, Type targetType, object parameter, CultureInfo culture)
        {
            return new object[2]{ values[0], values[1] };
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, CultureInfo culture)
        {
            return null;
        }
    }
}
