﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;

namespace NMag.UI.FlowDiagram
{
    public class Label : Border
    {
        public Label(Point position, Guid unitID, MouseButtonEventHandler onModuleClickHandler)
        {
            UnitID = unitID;

            Position = position;

            MouseDown += onModuleClickHandler;
        }

        public Point Position { get; }
        public Guid UnitID { get; }
    }
}
