﻿using NMag.UI.Miscellaneous;
using System.Windows.Input;

namespace NMag.UI.Views
{
    public class EnergyMarketToolbarViewModel : ToolbarViewModel
    {            
        public EnergyMarketToolbarViewModel(MainViewModel mainViewModel) 
            : base(mainViewModel)
        {
        }

        public ICommand AddPreferenceFunctionCommand
        {
            get
            {
                return new RelayCommand(args => MainViewModel.AddPreferenceFunction(),
                    args => MainViewModel.Application.Project != null);
            }
        }
        public ICommand DeletePreferenceFunctionCommand
        {
            get
            {
                return new RelayCommand(args => MainViewModel.DeletePreferenceFunction(),
                    args => MainViewModel.SelectedFunction != null);
            }
        }

        private EnergyMarketViewModel MainViewModel
        {
            get { return _mainViewModel as EnergyMarketViewModel; }
        }

        public override void Update()
        {
            
        }
    }
}
